require_relative 'lib/constants'
Gem::Specification.new do |s|
  s.name        = $APPNAME
  s.version     = $VERSION
  s.date        = $DATE
  s.summary     = "Bug-fixes and cosmetics"
  s.description = "converts SQLite to DBase"
  s.authors     = $AUTHORS
  s.email       = $EMAIL
  s.files  	=  %w~sqlite2dbf~.collect{|f| 'bin/' << f} + %w~constants.rb mapping.rb argparser.rb sqlite2dbf.rb file_checking.rb log.conf logging.rb mapping.rb configuration.rb config translating.rb translations ~.collect{|f| 'lib/' << f} + %w~sqlite2dbf.gemspec~.collect{|f|f} + %w~man/sqlite2dbf.1 pdf/sqlite2dbf.pdf rst/sqlite2dbf.rst html/sqlite2dbf.html~.collect{|f| 'doc/' << f}
  s.requirements = 'shp, sqlite3'
  s.add_runtime_dependency 'shp', '~> 0.0', '>= 0.0.3'
  s.add_runtime_dependency 'sqlite3', '~> 1.3', '>= 1.3.12'
  s.executables = 'sqlite2dbf'
  s.license     = $LICENSE
  s.homepage    = 'https://rubygems.org/gems/sqlite2dbf'
  s.required_ruby_version = '>= 2.3'
end
